# Retrieve a Boxset

> Returns one Boxset with its poster and member Show, Movie and Collection Sets.

`GET /boxsets/{id}` on `https://api.mediux.io`

## Parameters

- `id` (path, integer, required): The Boxset's numeric Mediux ID.

## Responses

### 200

The Boxset.

- `data` (object, required)
  - `kind` (string, required): One of "boxset".
  - `id` (integer, required)
  - `title` (string, required)
  - `description` (string, nullable, required)
  - `creator` (object, required)
    - `id` (string (uuid), required)
    - `username` (string, required)
  - `language` (string, nullable, required): ISO 639-1 code; `xx` is textless.
  - `createdAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
  - `updatedAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
  - `poster` (object, nullable, required)
    - `id` (string (uuid), required)
    - `extension` (string, required)
    - `language` (string, nullable, required): ISO 639-1 code; `xx` is textless.
    - `edition` (string, nullable): One of "theatricalCut", "directorsCut", "extendedCut", "unratedCut", "imaxVersion", "criterionEdition", "finalCut", "fanEdit", "producersCut", "alternateColorGrading".
    - `width` (integer, required)
    - `height` (integer, required)
    - `fileSize` (integer, required)
    - `createdAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
    - `updatedAt` (string, required): ISO 8601 UTC instant with milliseconds, such as `2026-11-14T15:03:02.000Z`.
  - `sets` (array of object, required)

### 304

Not modified. The `If-None-Match` validator still matches; no body.

### 400

The path is not a valid route, or the request carried a query string or body.

### 404

The resource does not exist or is not public.

### 405

Only `GET`, `HEAD` and `OPTIONS` are supported.

### 410

The Set, Boxset or Loadout existed and is no longer public.

### 429

Too many cache misses from this address. Retry after the `Retry-After` delay.

### 503

Temporarily unavailable. Retry after the `Retry-After` delay.

## Example response (200)

```json
{
  "data": {
    "kind": "boxset",
    "id": 1407,
    "title": "Marvel Cinematic Universe • Marvel Studios Logos Boxset",
    "description": null,
    "creator": {
      "id": "288c1032-da1e-4740-9fab-de8071caba7a",
      "username": "Olivier_286"
    },
    "language": "en",
    "createdAt": "2025-07-05T09:39:40.000Z",
    "updatedAt": "2025-07-05T09:39:40.000Z",
    "poster": null,
    "sets": [
      {
        "kind": "showSet",
        "id": 61101,
        "title": "VisionQuest • Marvel Television Logo Set",
        "description": "This poster includes a background image that is perfectly aligned for Plex on TV's and HTPC!",
        "language": "en",
        "createdAt": "2026-10-14T09:27:35.000Z",
        "updatedAt": "2026-11-01T04:56:13.000Z",
        "show": {
          "id": 213375,
          "title": "VisionQuest",
          "year": 2026,
          "poster": {
            "id": "cabbc1b2-17d3-4002-b6c2-b86036d533c7",
            "extension": "jpg",
            "language": "en",
            "width": 2000,
            "height": 3000,
            "fileSize": 3037235,
            "createdAt": "2026-10-14T09:27:41.000Z",
            "updatedAt": "2026-11-01T04:56:37.000Z"
          },
          "backdrop": {
            "id": "f0af21a9-5882-4486-8c49-8de7ae4208f4",
            "extension": "jpg",
            "language": "en",
            "width": 3840,
            "height": 2160,
            "fileSize": 3879391,
            "createdAt": "2026-10-14T09:27:44.000Z",
            "updatedAt": "2026-10-14T09:30:33.000Z"
          },
          "logo": null,
          "squareArt": null,
          "thumb": null,
          "seasons": []
        }
      },
      {
        "kind": "collectionSet",
        "id": 61027,
        "title": "Spider-Man • Collection Set",
        "description": "Includes background images that are perfectly aligned for Plex on TV's and HTPC!",
        "language": "en",
        "edition": "theatricalCut",
        "createdAt": "2026-10-10T01:32:15.000Z",
        "updatedAt": "2026-10-25T14:23:21.000Z",
        "collection": {
          "id": 531241,
          "title": "Spider-Man (MCU) Collection",
          "year": 2017,
          "poster": null,
          "backdrop": null,
          "logo": null,
          "squareArt": null,
          "movies": [
            {
              "id": 969681,
              "title": "Spider-Man: Brand New Day",
              "year": 2026,
              "poster": {
                "id": "215de9c4-d5d8-496e-8406-b1287a03e6a1",
                "extension": "jpg",
                "language": "en",
                "edition": "theatricalCut",
…
```
